/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
	this.version = "1.0.1";
	this.minVersion = "2.0.0a";
	this.author = "Xesc & Technology 2009";
	this.website = "http://glumbert.com/";
	this.ID = "glumbert.";
	this.caption = "Glumbert";
	this.adultContent = false;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	const URL_GET_FLV = "http://cdn.glumbert.com/video/flash/%1.flv";
	// video information
	var result = new VideoDefinition();
	// download webpage
	var http = new Http();
	var html = http.downloadWebpage(url);
	// get video info
	result.title = copyBetween(html, "var NAME = \"", "\"");
	result.URL = copyBetween(html, "var URLNAME = \"", "\"");
	// clear and get the final url
	result.URL = cleanUrl(strFormat(URL_GET_FLV, result.URL));
	// return the video information
	return result;
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x00,0x00,0x00,0x00,0x3a,0x98,0xa0,
		0xbd,0x00,0x00,0x00,0xaf,0x49,0x44,0x41,0x54,0x18,0x57,0x63,0xf8,0x0f,0x04,0x9f,
		0x8f,0x4e,0xce,0x4a,0x3d,0x79,0x6e,0xae,0xeb,0x99,0xff,0xff,0x19,0x80,0xfc,0x0f,
		0x4b,0xd6,0x85,0x31,0x30,0xac,0xda,0x55,0xca,0xb0,0x1b,0x22,0x30,0x6d,0x0a,0x83,
		0x60,0x79,0xb9,0x20,0x83,0x10,0x54,0xe0,0xb6,0x3f,0x58,0x6a,0x37,0x03,0x03,0x54,
		0x60,0x86,0x06,0x83,0x12,0xc8,0x24,0xb8,0x40,0x07,0x27,0x83,0x0b,0x58,0xc0,0x02,
		0x26,0xc0,0xc0,0x60,0x0c,0x12,0xd0,0xc8,0x87,0x0a,0xec,0x66,0xf0,0x03,0xb1,0xee,
		0x65,0xda,0xc2,0x6c,0x51,0x62,0x60,0x10,0x9c,0x7a,0x72,0x61,0x25,0xcc,0x0c,0xb0,
		0xf9,0x40,0x31,0xb8,0xa1,0xff,0xff,0x9f,0x09,0x65,0x60,0x08,0xbd,0x8b,0x24,0x00,
		0x06,0x0f,0x74,0x18,0x40,0x1c,0x10,0xfe,0x71,0xed,0xd9,0xff,0xff,0xcf,0x37,0x4e,
		0x02,0xdb,0x0e,0x12,0x38,0x31,0x6b,0x62,0xc9,0x84,0xb5,0x8b,0xc1,0x3a,0xc0,0x02,
		0x1d,0x60,0x43,0x19,0x94,0x56,0x81,0x74,0x82,0xcd,0xb8,0x3b,0xb3,0xa3,0xa3,0x03,
		0x24,0x0d,0x04,0x00,0x5f,0xd7,0xa2,0xb1,0x32,0xc1,0xa6,0x1c,0x00,0x00,0x00,0x00,
		0x49,0x45,0x4e,0x44,0xae,0x42,0x60,0x82);
}
